<?

error_reporting(E_ALL); ini_set("display_errors", 1);



$type = isset($_GET['type']) ? $_GET['type'] : 0;
$lang = isset($_GET['lang']) ? $_GET['lang'] : 'rus';
$mysqli = new mysqli("46.174.50.9", "u10790_fzomb_stats", "3F5p2P3h", "u10790_fzomb_stats");


if($lang == 'rus') {
    $title = '[Общая статистика]';
    $best_zombie_title = '[Лучший зомби]';
    $best_human_title = '[Лучший человек]';
    $best_time_title = '[Топ активности]';
    
    $place = 'Место';
    $name = 'Никнейм';
    $kills = 'Убийств';
    $infects = 'Заражений';
    $was_killed = 'Смертей';
    $was_infected = 'Был заражен';
    $score = 'Счет';
    $total_time = 'Общее время';
    
    $lang_days = array('д.', 'д.', 'д.');
    $lang_hours = array('ч.', 'ч.', 'ч.');
    $lang_minutes = array('мин.', 'мин.', 'мин.');
} else {
    $title = '[Statistic]';
    $best_zombie_title = '[Best Zombie]';
    $best_human_title = '[Best Human]';
    $best_time_title = '[TOP online players]';
    
    $place = 'Place';
    $name = 'Nickname';
    $kills = 'Kills';
    $infects = 'Infections';
    $was_killed = 'Deaths';
    $was_infected = 'Was Infected';
    $score = 'Points';
    $total_time = 'Total online time';
    
    $lang_days = array('d.', 'd.', 'd.');
    $lang_hours = array('h.', 'h.', 'h.');
    $lang_minutes = array('min.', 'min.', 'min.');
}

if ($mysqli->connect_errno) {
    printf("Не удалось подключиться: %s\n", $mysqli->connect_error);
    exit();
}

function num_word($value, $words, $show = true) 
{   
	$num = $value % 100;
	if ($num > 19) { 
		$num = $num % 10; 
	}
	
	$out = ($show) ?  $value . ' ' : '';
	switch ($num) {
		case 1:  $out .= $words[0]; break;
		case 2: 
		case 3: 
		case 4:  $out .= $words[1]; break;
		default: $out .= $words[2]; break;
	}
	
	return $out;
}

function secToStr($secs)
{ 
    global $lang_days, $lang_hours, $lang_minutes;
    
	$res = '';

	$days = floor($secs / 86400);
	$secs = $secs % 86400;
    $res .= num_word($days, $lang_days) . ', ';
	
	$hours = floor($secs / 3600);
	$secs = $secs % 3600;
	$res .= num_word($hours, $lang_hours) . ', ';
 
	$minutes = floor($secs / 60);
	$secs = $secs % 60;
	$res .= num_word($minutes, $lang_minutes);
 
	// $res .= num_word($secs, array('секунда', 'секунды', 'секунд'));
	return $res;
}

// zm_stats_players

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>MOTD</title>
    <link rel="stylesheet" href="https://mircs.ru/files/clan.css">
</head>
<body>
    <? if($type == 1) {
        // Формируем запрос
    
        $result = $mysqli->query("SET @_c = 0; UPDATE zm_stats_players AS t, (SELECT (@_c:=@_c+1) as rownum, score, id FROM zm_stats_players ORDER BY score DESC) AS r SET t.top = r.rownum WHERE t.id = r.id;");
    
        $result = $mysqli->query("SELECT * FROM zm_stats_players WHERE top > 0 ORDER BY top LIMIT 15");
        if(!$result)
            exit('Ошибка');
    ?>
    <h1><?=$title?></h1>
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1">   
        <tbody>
            <tr>
                <th><?=$place?></th>
                <th><?=$name?></th>
                <th><?=$kills?></th>
                <th><?=$infects?></th>
                <th><?=$was_killed?></th>
                <th><?=$was_infected?></th>
                <th><?=$score?></th>
            </tr>
            <? $i = 0; while ($row = $result->fetch_assoc()) { $i++ ?>
            <tr>
                <td><?=$i;?></td>
                <td><?=$row['nickname'];?></td>
                <td><?=$row['kills'];?></td>
                <td><?=$row['infects'];?></td>
                <td><?=$row['was_killed'];?></td>
                <td><?=$row['was_infect'];?></td>
                <td><?=$row['score'];?></td>
            </tr>
            <? } ?>
        </tbody>
    </table>
    <? } elseif($type == 2) {
        // Формируем запрос
    
        $result = $mysqli->query("SELECT * FROM zm_stats_players WHERE top > 0 ORDER BY (infects-was_killed) DESC LIMIT 15");
        if(!$result)
            exit('Ошибка');
    ?>
    <h1><?=$best_zombie_title?></h1>
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1">   
        <tbody>
            <tr>
                <th><?=$place?></th>
                <th><?=$name?></th>
                <th><?=$infects?></th>
                <th><?=$was_killed?></th>
            </tr>
            <? $i = 0; while ($row = $result->fetch_assoc()) { $i++ ?>
            <tr>
                <td><?=$i;?></td>
                <td><?=$row['nickname'];?></td>
                <td><?=$row['infects'];?></td>
                <td><?=$row['was_killed'];?></td>
            </tr>
            <? } ?>
        </tbody>
    </table>
    <? } elseif($type == 3) {
        // Формируем запрос
    
        $result = $mysqli->query("SELECT * FROM zm_stats_players WHERE top > 0 ORDER BY (kills-was_infect) DESC LIMIT 15");
        if(!$result)
            exit('Ошибка');
    ?>
    <h1><?=$best_human_title?></h1>
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1">   
        <tbody>
            <tr>
                <th><?=$place?></th>
                <th><?=$name?></th>
                <th><?=$kills?></th>
                <th><?=$was_infected?></th>
            </tr>
            <? $i = 0; while ($row = $result->fetch_assoc()) { $i++ ?>
            <tr>
                <td><?=$i;?></td>
                <td><?=$row['nickname'];?></td>
                <td><?=$row['kills'];?></td>
                <td><?=$row['was_infect'];?></td>
            </tr>
            <? } ?>
        </tbody>
    </table>
    <? } elseif($type == 4) {
        // Формируем запрос
    
        $result = $mysqli->query("SELECT * FROM zm_stats_players WHERE top > 0 ORDER BY online DESC LIMIT 15");
        if(!$result)
            exit('Ошибка');
    ?>
    <h1><?=$best_time_title?></h1>
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1">   
        <tbody>
            <tr>
                <th><?=$place?></th>
                <th><?=$name?></th>
                <th><?=$total_time?></th>
            </tr>
            <? $i = 0; while ($row = $result->fetch_assoc()) { $i++ ?>
            <tr>
                <td><?=$i;?></td>
                <td><?=$row['nickname'];?></td>
                <td><?=secToStr($row['online']);?></td>
            </tr>
            <? } ?>
        </tbody>
    </table>
    <? } else { ?>
    <h1 style="color: red">Ошибка:</h1>
    <p>Не передан параметр "type" или он выходит из допустимых значений</p>
    <? } ?>
</body>
</html>